> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-c1-ai-rename-baton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns one page of Toolsets assigned directly to an Assigned-tools Virtual MCP Server.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/toolset_bindings
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/virtual_mcp_servers/{virtual_mcp_server_id}/toolset_bindings:
    get:
      tags:
        - Virtual MCP Servers
      summary: List
      description: >-
        List returns one page of Toolsets assigned directly to an Assigned-tools
        Virtual MCP Server.
      operationId: c1.api.ai_governance.v1.VirtualMCPToolsetBindingService.List
      parameters:
        - in: path
          name: virtual_mcp_server_id
          required: true
          schema:
            description: Immutable identifier of the Virtual MCP Server.
            type: string
        - in: query
          name: page_size
          schema:
            description: Maximum number of results to return. The maximum is 100.
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: Pagination token returned by a previous request.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.VirtualMCPToolsetBindingServiceListResponse
          description: >-
            VirtualMCPToolsetBindingServiceListResponse contains one page of
            Toolset assignments.
components:
  schemas:
    c1.api.ai_governance.v1.VirtualMCPToolsetBindingServiceListResponse:
      description: >-
        VirtualMCPToolsetBindingServiceListResponse contains one page of Toolset
        assignments.
      properties:
        bindings:
          description: Toolset assignments on the Virtual MCP Server.
          items:
            $ref: >-
              #/components/schemas/c1.api.ai_governance.v1.VirtualMCPToolsetBinding
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            Token to retrieve the next page. Empty when there are no more
            results.
          type: string
      title: Virtual Mcp Toolset Binding Service List Response
      type: object
      x-speakeasy-name-override: VirtualMCPToolsetBindingServiceListResponse
    c1.api.ai_governance.v1.VirtualMCPToolsetBinding:
      description: >-
        VirtualMCPToolsetBinding represents one Toolset assigned to a Virtual
        MCP Server.
      properties:
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        mcpAccessProfile:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.MCPAccessProfileRef'
            - type: 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
        virtualMcpServerId:
          description: Immutable identifier of the Virtual MCP Server.
          type: string
      title: Virtual Mcp Toolset Binding
      type: object
      x-speakeasy-name-override: VirtualMCPToolsetBinding
    c1.api.ai_governance.v1.MCPAccessProfileRef:
      description: |-
        MCPAccessProfileRef is a lightweight reference to an MCP access profile,
         used for websocket notifications and search filter refs.
      properties:
        appId:
          description: The appId field.
          type: string
        connectorId:
          description: The connectorId field.
          type: string
        id:
          description: The id field.
          type: string
      title: Mcp Access Profile Ref
      type: object
      x-speakeasy-name-override: MCPAccessProfileRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````